##########################################################################################
#
# Magisk Module Template Config Script
# by topjohnwu
#
##########################################################################################
##########################################################################################
#
# Instructions:
#
# 1. Place your files into system folder (delete the placeholder file)
# 2. Fill in your module's info into module.prop
# 3. Configure the settings in this file (config.sh)
# 4. If you need boot scripts, add them into common/post-fs-data.sh or common/service.sh
# 5. Add your additional or modified system properties into common/system.prop
#
##########################################################################################

##########################################################################################
# Configs
##########################################################################################

# Set to true if you need to enable Magic Mount
# Most mods would like it to be enabled
AUTOMOUNT=true

# Set to true if you need to load system.prop
PROPFILE=false

# Set to true if you need post-fs-data script
POSTFSDATA=false

# Set to true if you need late_start service script
LATESTARTSERVICE=false

##########################################################################################
# Installation Message
##########################################################################################

# Set what you want to show when installing your mod

print_modname() {
  ui_print "******************************"
  ui_print "     《孙大剩》
  "
  ui_print "从小你就想当一个盖世英雄"
  ui_print "逢人便说长大后要大闹天宫"
  ui_print "可长大后却发现自己 是那么平庸"
  ui_print "你曾经做的那个征服世界的梦"
  ui_print "就像个玩笑深藏在你记忆之中"
  ui_print "生活在检验着你到底 是龙还是虫"
  ui_print "你没有学会七十二变的神通"
  ui_print "也没有学会满嘴鬼话的武功"
  ui_print "你总是很难挤出一个 恰当的笑容"
  ui_print "你三十岁的内心总还波涛汹涌"
  ui_print "可说出的话却是那样言不由衷"
  ui_print "听他们谈起梦想你努力 做哑装聋"
  ui_print "你是别人口中碌碌无为 的孙大剩"
  ui_print "你是掉进人堆也找不见 的孙大剩"
  ui_print "孙大剩  你的爱人等你开着宝马去娶她"
  ui_print "孙大剩  你多想在那皋兰山下有一个家"
  ui_print "孙大剩  你也曾想过周游世界劈柴喂马"
  ui_print "孙大剩  你期待中的摇钱树会生根发芽"
  ui_print "你没有学会七十二变的神通"
  ui_print "也没有学会满嘴鬼话的武功"
  ui_print  "你总是很难挤出一个 恰当的笑容"
  ui_print "你三十岁的内心总还波涛汹涌"
  ui_print "可说出的话却是那样言不由衷"
  ui_print "听他们谈起梦想你努力 做哑装聋"
  ui_print "你是别人口中碌碌无为 的孙大剩"
  ui_print "你是掉进人堆也找不见 的孙大剩"
  ui_print "孙大剩  你的爱人等你开着宝马去娶她"
  ui_print "孙大剩  你多想在那皋兰山下有一个家"
  ui_print "孙大剩  你也曾想过周游世界劈柴喂马"
  ui_print "孙大剩  你期待中的摇钱树会生根发芽"
  ui_print "孙大剩  你抱起那把落满了尘土的吉他"
  ui_print "孙大剩  你想起从前和你同甘共苦的她"
  ui_print "孙大剩  你说过要把世界打得满地找牙"
  ui_print "孙大剩  你却张着嘴巴流着眼泪说不出话"
  ui_print "啊......"
  ui_print "******************************"
}

##########################################################################################
# Replace list
##########################################################################################

# List all directories you want to directly replace in the system
# Check the documentations for more info about how Magic Mount works, and why you need this

# This is an example
REPLACE="
/system/app/Youtube
/system/priv-app/SystemUI
/system/priv-app/Settings
/system/framework
"

# Construct your own list here, it will override the example above
# !DO NOT! remove this if you don't need to replace anything, leave it empty as it is now
REPLACE="
"

##########################################################################################
# Permissions
##########################################################################################

set_permissions() {
  # Only some special files require specific permissions
  # The default permissions should be good enough for most cases

  # Here are some examples for the set_perm functions:

  # set_perm_recursive  <dirname>                <owner> <group> <dirpermission> <filepermission> <contexts> (default: u:object_r:system_file:s0)
  # set_perm_recursive  $MODPATH/system/lib       0       0       0755            0644

  # set_perm  <filename>                         <owner> <group> <permission> <contexts> (default: u:object_r:system_file:s0)
  # set_perm  $MODPATH/system/bin/app_process32   0       2000    0755         u:object_r:zygote_exec:s0
  # set_perm  $MODPATH/system/bin/dex2oat         0       2000    0755         u:object_r:dex2oat_exec:s0
  # set_perm  $MODPATH/system/lib/libart.so       0       0       0644

  # The following is default permissions, DO NOT remove
  set_perm_recursive  $MODPATH  0  0  0755  0644
}

##########################################################################################
# Custom Functions
##########################################################################################

# This file (config.sh) will be sourced by the main flash script after util_functions.sh
# If you need custom logic, please add them here as functions, and call these functions in
# update-binary. Refrain from adding code directly into update-binary, as it will make it
# difficult for you to migrate your modules to newer template versions.
# Make update-binary as clean as possible, try to only do function calls in it.

